# 技术人员入司必读

```
……
Hellow world!
```

欢迎来到爸妈搜&学有帮技术部，接下来的文档有助于尽快进入角色，请通读。

## 团队协作

公司主要使用两种版本控制软件进行代码协作管理：svn和git

##### gitlab

http://gitlab.xueyoubangedu.com

>  请在分配给自己的爸妈搜企业邮箱中，查找gitlab帐号注册邮件，并于两日内修改完成。

##### svn

> 具体地址请与项目组长索要

## 拉取项目代码流程

### 激活Gitlab帐号

首先请登录[公司邮箱](http://mail.bamasoso.com)，查找Gitlab帐号的激活邮件，点击其中的链接，设置登录密码。

### 配置本地SSH密匙

请阅读[此文档](http://gitlab.xueyoubangedu.com/document/config/blob/master/%E9%80%82%E7%94%A8gitlab%E7%9A%84ssh%E5%AF%86%E5%8C%99%E9%85%8D%E7%BD%AE%E6%96%B9%E6%B3%95.md)完成配置（命令行终端建议使用cmder可顺利完步骤）。

### 拉取项目

* 进入想要拉取的项目主页，点击复制项目的GItlab地址。
* 在本地相应文件夹下执行拉取操作。

## 参考文档

公司主要使用javascript和php进行前后端的开发，下面介绍了公司主要使用的框架，可前往熟悉学习

- [后端框架laravel](https://laravel-china.org/docs/laravel/5.6)
- [前端框架vue](https://vuejs.org/)
- [公众号开发文档](https://mp.weixin.qq.com/wiki)
- [小程序开发文档](https://mp.weixin.qq.com/debug/wxadoc/dev/index.html)
- [开放平台开发文档](https://open.weixin.qq.com/cgi-bin/showdocument?action=dir_list&t=resource/res_list&verify=1&lang=zh_CN)

## 软件推荐

### 开发环境

- [Docker](https://www.docker.com/community-edition)

### 版本控制

- [svn](https://tortoisesvn.net/downloads.html)
- [git](https://git-scm.com/)

### IDE

- [sublime](https://www.baidu.com/s?ie=utf-8&f=8&rsv_bp=1&tn=baidu&wd=sublime&oq=vscode&rsv_pq=ad2aaf72000161fc&rsv_t=446dYzzGumwp9r1327pek4q4HtUJmfgsIfKBuODeRhdmqFEFcAQe194xKHo&rqlang=cn&rsv_enter=1&inputT=1223&rsv_sug3=14&rsv_sug1=14&rsv_sug7=100&bs=vscode)
- [Visual Studio Code](https://code.visualstudio.com/Download)

### FTP/SSH远程链接软件

- [winscp](https://winscp.net/eng/download.php)

### shell/git/cmd终端

- [cmder](http://cmder.net/)

### mysql DBA管理工具

- [Navicat](https://www.52pojie.cn/forum.php?mod=viewthread&tid=620949)

### 下载工具

- [IDM](https://www.baidu.com/s?ie=utf-8&f=8&rsv_bp=1&tn=baidu&wd=IDM%20%E5%90%BE%E7%88%B1%E7%A0%B4%E8%A7%A3&oq=Navicat%2520%25E5%2590%25BE%25E7%2588%25B1%25E7%25A0%25B4%25E8%25A7%25A3&rsv_pq=e83af31a00086df8&rsv_t=f50e15CBMp3rDurseNsDEJ2Yj0gaiw%2FqWDzkKs68phi0CWT0k%2BEt5SvgLRI&rqlang=cn&rsv_enter=1&inputT=1126&rsv_sug3=32&rsv_sug1=22&rsv_sug7=100&rsv_sug2=0&rsv_sug4=1126)

### MD文档编辑器

- [Typora](https://www.typora.io/)

### 录屏软件

- [LICEcap](https://www.cockos.com/licecap/)

> 欢迎补充~

## 结语

由于公司部分服务器由docker配置部署而成，请接下来在需要的时候查看相关文档。

祝你在公司留下一段愉快的、记忆深刻的经历。

```
Have fan, good luck!
……
```

